<!--
  Generated template for the GroupprofilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToTabs()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>Group's Info</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
	<ion-card class="logo-groupname-admin-card">
		<ion-row class="top-row">
			<ion-col col-4 class="group-avatar-col">
				<ion-item no-lines class="group-avatar">
					<ion-avatar class="group-avatar-inner">
						<img-loader src="{{ group.groupPhotoURL }}" imageViewer="{{ group.groupPhotoURL }}" class="group-avatar-img" useImg></img-loader>
						<a class="change-group-photo-btn" (click)="changePhotoOptions()"><b>Change Photo</b></a>
					</ion-avatar>
				</ion-item>
			</ion-col>
			<ion-col col-8 class="group-item-list-col">
				<ion-list class="group-list-list">
					<ion-item class="group-list-item">
						<ion-label class="group-item-labels">
							<span class="item-key">Group Name:&nbsp;</span>
							<span class="item-value">{{ group.groupName }}</span>
						</ion-label>
					</ion-item>
					<ion-item class="group-list-item">
						<ion-label class="group-item-labels">
							<span class="item-key">Group Admin:&nbsp;</span>
							<span class="item-value">{{ user.displayName }}</span>
						</ion-label>
					</ion-item>
				</ion-list>
			</ion-col>
		</ion-row>
	</ion-card>

	<ion-card class="logo-groupname-admin-card">
		<ion-card-header class="members-card-header">
			<h5 class="members-header-h5">{{ totalNoOfMem }} Members</h5>
			<ion-icon name="person-add" class="add-member-icons" (click)="addMemberToGroup()"></ion-icon>
		</ion-card-header>
		<ion-list no-lines class="group-members-ion-list">
			<div *ngFor="let groupMemberList of groupMemberList$ | async">
				<ion-item-sliding *ngIf="groupMemberList.groupMemList | async; let groupMemList;" class="member-list-item">
					<ion-item class="group-info-item">
						<ion-avatar item-left>
							<img-loader src="{{ groupMemList.photoURL }}" useImg></img-loader>
						</ion-avatar>
						<h2 class="group-mem-display-name">{{ groupMemList.displayName }}</h2>
						<p class="is-admin-tag" *ngIf="adminID == groupMemberList.key">Admin</p>
					</ion-item>
						<ion-item-options slide="left" *ngIf="admin">
							<button ion-button color="light" (click)="moreOptions()">
								<ion-icon name="more"></ion-icon>
								More
							</button>
							<button ion-button color="danger" (click)="removeSelectedMember(groupMemberList.key, groupMemList.displayName)" *ngIf="groupMemberList.key != currentUserId">
								<ion-icon name="trash"></ion-icon>
								Remove
							</button>
						</ion-item-options>
						<ion-item-options slide="left" *ngIf="!admin">
							<button ion-button color="light" (click)="moreOptions()">
								<ion-icon name="more"></ion-icon>
								More
							</button>
						</ion-item-options>
				</ion-item-sliding>
			</div>
		</ion-list>
	</ion-card>
	<div class="delete-group-btn-container">
		<button ion-button round outline block color="primary" class="delete-group-btn" (click)="goToDashboard()">
			<ion-icon name="clipboard"></ion-icon>
			<span>&nbsp;Dashboard</span>
		</button>
	</div>
	<div class="delete-group-btn-container">
		<button ion-button round outline block color="secondary" class="delete-group-btn" (click)="groupChat()">
			<ion-icon name="chatbubbles"></ion-icon>
			<span>&nbsp;Conversations</span>
		</button>
	</div>
	<div class="delete-group-btn-container" *ngIf="admin">
		<button ion-button round outline block color="danger" class="delete-group-btn" (click)="deleteGroup()">
			<ion-icon name="trash"></ion-icon>
			<span>&nbsp;Delete Group</span>
		</button>
	</div>
	<div class="delete-group-btn-container" *ngIf="!admin">
		<button ion-button round outline block color="danger" class="delete-group-btn" (click)="leaveGroup()">
			<ion-icon name="exit"></ion-icon>
			<span>&nbsp;Leave Group</span>
		</button>
	</div>
</ion-content>
